View | Details | Raw Unified | Return to bug 170570
Collapse All | Expand All

(-)distinfo (-2 / +2 lines)
Lines 1-2 Link Here
1
SHA256 (gpa-0.9.2.tar.bz2) = d0262b2ddd61c66c16168b61b758c4f387613e776454db2e50356d29eda49662
1
SHA256 (gpa-0.9.3.tar.bz2) = 9c5b67a562d2831689d4659cf377fb4db521f55f08ba6e0bd47b88e69d70c014
2
SIZE (gpa-0.9.2.tar.bz2) = 710552
2
SIZE (gpa-0.9.3.tar.bz2) = 711197
(-)Makefile (-7 / +11 lines)
Lines 6-36 Link Here
6
#
6
#
7
7
8
PORTNAME=	gpa
8
PORTNAME=	gpa
9
PORTVERSION=	0.9.2
9
PORTVERSION=	0.9.3
10
CATEGORIES=	security
10
CATEGORIES=	security
11
MASTER_SITES=	${MASTER_SITE_GNUPG}
11
MASTER_SITES=	${MASTER_SITE_GNUPG}
12
MASTER_SITE_SUBDIR=	gpa
12
MASTER_SITE_SUBDIR=	gpa
13
13
14
MAINTAINER=	bsdkaffee@gmail.com
14
MAINTAINER=	bsdkaffee@gmail.com
15
COMMENT=	A graphical frontend for the GNU Privacy Guard
15
COMMENT=	GTK2+ frontend for the GNU Privacy Guard
16
16
17
LICENSE=	GPLv3
17
LICENSE=	GPLv3
18
18
19
LIB_DEPENDS=	assuan.0:${PORTSDIR}/security/libassuan \
19
LIB_DEPENDS=	assuan:${PORTSDIR}/security/libassuan \
20
		gpgme.19:${PORTSDIR}/security/gpgme
20
		gpgme:${PORTSDIR}/security/gpgme
21
BUILD_DEPENDS=	gpgv2:${PORTSDIR}/security/gnupg
21
BUILD_DEPENDS=	gpgv2:${PORTSDIR}/security/gnupg
22
RUN_DEPENDS=	gpgv2:${PORTSDIR}/security/gnupg
22
RUN_DEPENDS=	gpgv2:${PORTSDIR}/security/gnupg
23
23
24
USE_BZIP2=	yes
24
USE_BZIP2=	yes
25
USE_GMAKE=	yes
25
USE_GMAKE=	yes
26
USE_PKGCONFIG=	build
26
USE_GNOME=	gtk20
27
USE_GNOME=	gtk20
27
GNU_CONFIGURE=	yes
28
GNU_CONFIGURE=	yes
28
CONFIGURE_ENV+=	GPGKEYS_LDAP="${LOCALBASE}/libexec/gpg2keys_ldap"
29
CONFIGURE_ENV+=	GPGKEYS_LDAP="${LOCALBASE}/libexec/gpg2keys_ldap" \
30
		GPG="${LOCALBASE}/bin/gpgv2"
31
CPPFLAGS+=	-I${LOCALBASE}/include
32
LDFLAGS+=	-L${LOCALBASE}/lib
29
MAKE_JOBS_SAFE=	yes
33
MAKE_JOBS_SAFE=	yes
30
34
31
MAN1=		gpa.1
35
MAN1=		gpa.1
32
36
33
OPTIONS=	NLS "Native language support" on
37
OPTIONS_DEFINE=	NLS
34
38
35
.include <bsd.port.pre.mk>
39
.include <bsd.port.pre.mk>
36
40
Lines 38-44 Link Here
38
IGNORE=		requires gpgsm. (Re)Install security/gnupg with the GPGSM option ON, then rebuild security/gpgme if installed
42
IGNORE=		requires gpgsm. (Re)Install security/gnupg with the GPGSM option ON, then rebuild security/gpgme if installed
39
.endif
43
.endif
40
44
41
.if defined(WITHOUT_NLS)
45
.if empty(PORT_OPTIONS:MNLS)
42
CONFIGURE_ARGS+=--disable-nls
46
CONFIGURE_ARGS+=--disable-nls
43
PLIST_SUB+=	NLS="@comment "
47
PLIST_SUB+=	NLS="@comment "
44
.else
48
.else

Return to bug 170570